org.eclipse.net4j.db.ddl.delta

## Interface IDBPropertyDelta<T>

- All Superinterfaces:
    java.lang.Comparable<IDBDelta>, IContainer<IDBDelta>, IDBDelta, IDBElement, IDBNamedElement, INotifier

      public interface IDBPropertyDelta<T>
      extends IDBDelta

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDBPropertyDelta.Type`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `IDBDelta.ChangeKind, IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getOldValue()`
    `IDBPropertyDelta.Type` | `getType()`
    `T` | `getValue()`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `accept, getChangeKind, getDeltaType, getParent, getSchemaElement`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getType

          IDBPropertyDelta.Type getType()

    - #### getValue

          T getValue()

    - #### getOldValue

          T getOldValue()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html